### Method

# EDataServer Module get_filename

since: 3.4

#### Declaration [src]

    const gchar*
    e_module_get_filename (
      EModule* module
    )

#### Description [src]

Returns the filename of the shared library for `module`. The string is owned by `module` and should not be modified or freed.

Available since: 3.4

Gets property | `EDataServer.Module:filename`

#### Return value

Type: `const gchar*`

The filename for `module`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.